
Inside_Temp_Display_Temperature:

;Inside_Temp.mbas,33 :: 		sub procedure Display_Temperature( dim temp2write as word )
;Inside_Temp.mbas,35 :: 		RES_SHIFT = TEMP_RESOLUTION - 8
	MOVLW      1
	MOVWF      Inside_Temp_RES_SHIFT+0
	CLRF       Inside_Temp_RES_SHIFT+1
;Inside_Temp.mbas,36 :: 		text = "000.0000"
	MOVLW      48
	MOVWF      Inside_Temp_text+0
	MOVLW      48
	MOVWF      Inside_Temp_text+1
	MOVLW      48
	MOVWF      Inside_Temp_text+2
	MOVLW      46
	MOVWF      Inside_Temp_text+3
	MOVLW      48
	MOVWF      Inside_Temp_text+4
	MOVLW      48
	MOVWF      Inside_Temp_text+5
	MOVLW      48
	MOVWF      Inside_Temp_text+6
	MOVLW      48
	MOVWF      Inside_Temp_text+7
	CLRF       Inside_Temp_text+8
;Inside_Temp.mbas,38 :: 		if (temp2write and 0x8000) then
	BTFSS      FARG_Display_Temperature_temp2write+1, 7
	GOTO       L_Inside_Temp_Display_Temperature2
;Inside_Temp.mbas,39 :: 		text[0] = "-"
	MOVLW      45
	MOVWF      Inside_Temp_text+0
;Inside_Temp.mbas,40 :: 		temp2write = not temp2write + 1
	COMF       FARG_Display_Temperature_temp2write+0, 1
	COMF       FARG_Display_Temperature_temp2write+1, 1
	INCF       FARG_Display_Temperature_temp2write+0, 1
	BTFSC      STATUS+0, 2
	INCF       FARG_Display_Temperature_temp2write+1, 1
L_Inside_Temp_Display_Temperature2:
;Inside_Temp.mbas,44 :: 		temp_whole = word(temp2write >> RES_SHIFT)
	MOVF       Inside_Temp_RES_SHIFT+0, 0
	MOVWF      R2+0
	MOVF       FARG_Display_Temperature_temp2write+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Temperature_temp2write+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L_Inside_Temp_Display_Temperature10:
	BTFSC      STATUS+0, 2
	GOTO       L_Inside_Temp_Display_Temperature11
	RRF        R0+1, 1
	RRF        R0+0, 1
	BCF        R0+1, 7
	ADDLW      255
	GOTO       L_Inside_Temp_Display_Temperature10
L_Inside_Temp_Display_Temperature11:
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_temp_whole+0
;Inside_Temp.mbas,45 :: 		temp_whole = (temp_whole * 1.8) +32       'Convert to Deg F
	CALL       _Byte2Double+0
	MOVLW      102
	MOVWF      R4+0
	MOVLW      102
	MOVWF      R4+1
	MOVLW      102
	MOVWF      R4+2
	MOVLW      127
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      132
	MOVWF      R4+3
	CALL       _Add_32x32_FP+0
	CALL       _Double2Byte+0
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_temp_whole+0
;Inside_Temp.mbas,48 :: 		if ( temp_whole div 100 ) then
	MOVLW      100
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Inside_Temp_Display_Temperature5
;Inside_Temp.mbas,49 :: 		text[0] = temp_whole div 100  + 48
	MOVLW      100
	MOVWF      R4+0
	MOVF       Inside_Temp_temp_whole+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      Inside_Temp_text+0
	GOTO       L_Inside_Temp_Display_Temperature6
;Inside_Temp.mbas,50 :: 		else
L_Inside_Temp_Display_Temperature5:
;Inside_Temp.mbas,51 :: 		text[0] = "0"
	MOVLW      48
	MOVWF      Inside_Temp_text+0
;Inside_Temp.mbas,52 :: 		end if
L_Inside_Temp_Display_Temperature6:
;Inside_Temp.mbas,54 :: 		text[1] = (temp_whole div 10)mod 10 + 48               ' Extract tens digit
	MOVLW      10
	MOVWF      R4+0
	MOVF       Inside_Temp_temp_whole+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVLW      10
	MOVWF      R4+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      Inside_Temp_text+1
;Inside_Temp.mbas,55 :: 		text[2] =  temp_whole mod 10        + 48               ' Extract ones digit
	MOVLW      10
	MOVWF      R4+0
	MOVF       Inside_Temp_temp_whole+0, 0
	MOVWF      R0+0
	CALL       _Div_8x8_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      Inside_Temp_text+2
;Inside_Temp.mbas,58 :: 		temp_fraction  =  word(temp2write << (4-RES_SHIFT))
	MOVF       Inside_Temp_RES_SHIFT+0, 0
	SUBLW      4
	MOVWF      R0+0
	MOVF       Inside_Temp_RES_SHIFT+1, 0
	BTFSS      STATUS+0, 0
	ADDLW      1
	CLRF       R0+1
	SUBWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      R2+0
	MOVF       FARG_Display_Temperature_temp2write+0, 0
	MOVWF      R0+0
	MOVF       FARG_Display_Temperature_temp2write+1, 0
	MOVWF      R0+1
	MOVF       R2+0, 0
L_Inside_Temp_Display_Temperature12:
	BTFSC      STATUS+0, 2
	GOTO       L_Inside_Temp_Display_Temperature13
	RLF        R0+0, 1
	RLF        R0+1, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L_Inside_Temp_Display_Temperature12
L_Inside_Temp_Display_Temperature13:
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_temp_fraction+0
	MOVF       R0+1, 0
	MOVWF      Inside_Temp_temp_fraction+1
;Inside_Temp.mbas,59 :: 		temp_fraction  = temp_fraction and 0x000F
	MOVLW      15
	ANDWF      R0+0, 1
	MOVLW      0
	ANDWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_temp_fraction+0
	MOVF       R0+1, 0
	MOVWF      Inside_Temp_temp_fraction+1
;Inside_Temp.mbas,60 :: 		temp_fraction  = temp_fraction * 625
	MOVLW      113
	MOVWF      R4+0
	MOVLW      2
	MOVWF      R4+1
	CALL       _Mul_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_temp_fraction+0
	MOVF       R0+1, 0
	MOVWF      Inside_Temp_temp_fraction+1
;Inside_Temp.mbas,63 :: 		text[4] = word(temp_fraction div 1000)    + 48         ' Extract thousands digit
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CALL       _Div_16x16_U+0
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      Inside_Temp_text+4
;Inside_Temp.mbas,64 :: 		text[5] = word((temp_fraction div 100)mod 10 + 48)     ' Extract hundreds digit
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	MOVF       Inside_Temp_temp_fraction+0, 0
	MOVWF      R0+0
	MOVF       Inside_Temp_temp_fraction+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVLW      48
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_text+5
;Inside_Temp.mbas,65 :: 		text[6] = word((temp_fraction div 10)mod 10  + 48)     ' Extract tens digit
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	MOVF       Inside_Temp_temp_fraction+0, 0
	MOVWF      R0+0
	MOVF       Inside_Temp_temp_fraction+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVLW      48
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_text+6
;Inside_Temp.mbas,66 :: 		text[7] = word(temp_fraction mod 10)      + 48         ' Extract ones digit
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	MOVF       Inside_Temp_temp_fraction+0, 0
	MOVWF      R0+0
	MOVF       Inside_Temp_temp_fraction+1, 0
	MOVWF      R0+1
	CALL       _Div_16x16_U+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVLW      48
	ADDWF      R0+0, 0
	MOVWF      Inside_Temp_text+7
;Inside_Temp.mbas,68 :: 		Lcd_Out(2,1,"       ")    'Clear the bottom row
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+0
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+1
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+2
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+3
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+4
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+5
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+6
	CLRF       ?LocalText_Display_Temperature+7
	MOVLW      ?LocalText_Display_Temperature+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Inside_Temp.mbas,69 :: 		Lcd_Out(2,16,"    ")      'Clearing in this two stage manor avoids flashing data on the LCD
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      16
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+0
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+1
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+2
	MOVLW      32
	MOVWF      ?LocalText_Display_Temperature+3
	CLRF       ?LocalText_Display_Temperature+4
	MOVLW      ?LocalText_Display_Temperature+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Inside_Temp.mbas,70 :: 		Lcd_Out(2, 8, text)
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      Inside_Temp_text+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Inside_Temp.mbas,73 :: 		end sub
L_end_Display_Temperature:
	RETURN
; end of Inside_Temp_Display_Temperature

_Inside_Temp:

;Inside_Temp.mbas,78 :: 		sub procedure Inside_Temp
;Inside_Temp.mbas,80 :: 		text = "000.0000"
	MOVLW      48
	MOVWF      Inside_Temp_text+0
	MOVLW      48
	MOVWF      Inside_Temp_text+1
	MOVLW      48
	MOVWF      Inside_Temp_text+2
	MOVLW      46
	MOVWF      Inside_Temp_text+3
	MOVLW      48
	MOVWF      Inside_Temp_text+4
	MOVLW      48
	MOVWF      Inside_Temp_text+5
	MOVLW      48
	MOVWF      Inside_Temp_text+6
	MOVLW      48
	MOVWF      Inside_Temp_text+7
	CLRF       Inside_Temp_text+8
;Inside_Temp.mbas,85 :: 		Ow_Reset(PORTA, 5)                   ' Onewire reset signal
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Inside_Temp.mbas,86 :: 		Ow_Write(PORTA, 5, 0xCC)             ' Issue command SKIP_ROM
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Inside_Temp.mbas,87 :: 		Ow_Write(PORTA, 5, 0x44)             ' Issue command CONVERT_T
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      68
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Inside_Temp.mbas,88 :: 		Delay_us(120)
	MOVLW      159
	MOVWF      R13+0
L__Inside_Temp8:
	DECFSZ     R13+0, 1
	GOTO       L__Inside_Temp8
	NOP
	NOP
;Inside_Temp.mbas,90 :: 		Ow_Reset(PORTA, 5)
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Reset_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Reset_pin+0
	CALL       _Ow_Reset+0
;Inside_Temp.mbas,91 :: 		Ow_Write(PORTA, 5, 0xCC)             ' Issue command SKIP_ROM
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      204
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Inside_Temp.mbas,92 :: 		Ow_Write(PORTA, 5, 0xBE)             ' Issue command READ_SCRATCHPAD
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Write_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Write_pin+0
	MOVLW      190
	MOVWF      FARG_Ow_Write_data_+0
	CALL       _Ow_Write+0
;Inside_Temp.mbas,94 :: 		temp =  Ow_Read(PORTA, 5)
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_temp+0
	CLRF       Inside_Temp_temp+1
;Inside_Temp.mbas,95 :: 		temp = (Ow_Read(PORTA, 5) << 8) + temp
	MOVLW      PORTA+0
	MOVWF      FARG_Ow_Read_port+0
	MOVLW      5
	MOVWF      FARG_Ow_Read_pin+0
	CALL       _Ow_Read+0
	MOVF       R0+0, 0
	MOVWF      R2+1
	CLRF       R2+0
	MOVF       Inside_Temp_temp+0, 0
	ADDWF      R2+0, 0
	MOVWF      R0+0
	MOVF       R2+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	ADDWF      Inside_Temp_temp+1, 0
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      Inside_Temp_temp+0
	MOVF       R0+1, 0
	MOVWF      Inside_Temp_temp+1
;Inside_Temp.mbas,98 :: 		Display_Temperature(temp)
	MOVF       R0+0, 0
	MOVWF      FARG_Display_Temperature_temp2write+0
	MOVF       R0+1, 0
	MOVWF      FARG_Display_Temperature_temp2write+1
	CALL       Inside_Temp_Display_Temperature+0
;Inside_Temp.mbas,99 :: 		Lcd_Chr(2,14,223)                    ' Print degree character,
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Inside_Temp.mbas,101 :: 		Lcd_Chr(2,15,"F")                    ' If you see greek alpha letter try typing 178 instead of 223
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      70
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Inside_Temp.mbas,102 :: 		Lcd_Chr(2,13," ")
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      32
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Inside_Temp.mbas,103 :: 		end sub
L_end_Inside_Temp:
	RETURN
; end of _Inside_Temp
