
_main:

;RV Monitor System.mbas,101 :: 		main:
;RV Monitor System.mbas,103 :: 		ADCON0 = 0x40             'A/D on Clock /8
	MOVLW      64
	MOVWF      ADCON0+0
;RV Monitor System.mbas,104 :: 		ADCON1 = 0x04             'Set PORTA as  RA0 & RA1 Analog RA2-RA5 Digital VCC is Refferance
	MOVLW      4
	MOVWF      ADCON1+0
;RV Monitor System.mbas,105 :: 		TRISA = 0X3F              'Set PORTA as Input
	MOVLW      63
	MOVWF      TRISA+0
;RV Monitor System.mbas,106 :: 		TRISB = 0x80              ' Set PORTB as output except RB7 is input
	MOVLW      128
	MOVWF      TRISB+0
;RV Monitor System.mbas,107 :: 		Trisc = 0X3F              'Set PORTC as Output on high two bits the rest are inputs
	MOVLW      63
	MOVWF      TRISC+0
;RV Monitor System.mbas,109 :: 		SetBit(PORTC, 6)          'Turn On Disply One Backlight
	BSF        PORTC+0, 6
;RV Monitor System.mbas,110 :: 		SetBit(PORTC, 7)          'Turn On Disply Two Backlight
	BSF        PORTC+0, 7
;RV Monitor System.mbas,111 :: 		Disp_One_Mode = 6          ' Starting up both displays in "OFF" mode
	MOVLW      6
	MOVWF      _Disp_One_Mode+0
;RV Monitor System.mbas,112 :: 		Disp_Two_Mode = 6
	MOVLW      6
	MOVWF      _Disp_Two_Mode+0
;RV Monitor System.mbas,113 :: 		Disp_One_Cycle_Timer = Disp_One_Delay
	MOVLW      50
	MOVWF      _Disp_One_Cycle_Timer+0
	CLRF       _Disp_One_Cycle_Timer+1
;RV Monitor System.mbas,114 :: 		Disp_Two_Cycle_Timer = Disp_Two_Delay
	MOVLW      50
	MOVWF      _Disp_Two_Cycle_Timer+0
	CLRF       _Disp_Two_Cycle_Timer+1
;RV Monitor System.mbas,115 :: 		Disp_One_Cycle_Mode = 1
	MOVLW      1
	MOVWF      _Disp_One_Cycle_Mode+0
;RV Monitor System.mbas,116 :: 		Disp_Two_Cycle_Mode = 1
	MOVLW      1
	MOVWF      _Disp_Two_Cycle_Mode+0
;RV Monitor System.mbas,118 :: 		LCD_Sel = 1               'Select Display #1
	BSF        PORTB+0, 6
;RV Monitor System.mbas,119 :: 		Lcd_Init()                'Initialize Display
	CALL       _Lcd_Init+0
;RV Monitor System.mbas,120 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,121 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)  'Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,126 :: 		Lcd_Cmd (0x40)                   'Write to CGRAM Address 0
	MOVLW      64
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,132 :: 		LCD_Chr_cp (0x01f)              'Top row All On
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,134 :: 		for i = 1 to 6
	MOVLW      1
	MOVWF      _i+0
L__main2:
;RV Monitor System.mbas,135 :: 		LCD_chr_cp (0x10)           'Left Row On for the middle six columns
	MOVLW      16
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,136 :: 		next i
	MOVF       _i+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L__main5
	INCF       _i+0, 1
	GOTO       L__main2
L__main5:
;RV Monitor System.mbas,138 :: 		LCD_chr_cp (0x1F)               'Bottom row on
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,144 :: 		LCD_Chr_cp (0x01f)              'Top row All On
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,146 :: 		for i = 1 to 6
	MOVLW      1
	MOVWF      _i+0
L__main7:
;RV Monitor System.mbas,147 :: 		LCD_chr_cp (0x00)           'All Pixels off for the next six columns
	CLRF       FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,148 :: 		next i
	MOVF       _i+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L__main10
	INCF       _i+0, 1
	GOTO       L__main7
L__main10:
;RV Monitor System.mbas,150 :: 		LCD_chr_cp (0x1F)               'Bottom row on
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,155 :: 		LCD_Chr_cp (0x01f)              'Top row All On
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,157 :: 		for i = 1 to 6
	MOVLW      1
	MOVWF      _i+0
L__main12:
;RV Monitor System.mbas,158 :: 		LCD_chr_cp (0x01)           'Right Row On  for the middle six columns
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,159 :: 		next i
	MOVF       _i+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L__main15
	INCF       _i+0, 1
	GOTO       L__main12
L__main15:
;RV Monitor System.mbas,161 :: 		LCD_chr_cp (0x1F)               'Bottom row on
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,165 :: 		for i = 1 to 8
	MOVLW      1
	MOVWF      _i+0
L__main17:
;RV Monitor System.mbas,166 :: 		LCD_chr_cp (0x1F)           'All Pixels on for a fill in block
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,167 :: 		next i
	MOVF       _i+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__main20
	INCF       _i+0, 1
	GOTO       L__main17
L__main20:
;RV Monitor System.mbas,172 :: 		LCD_Sel = 0                    ' Select Display #2
	BCF        PORTB+0, 6
;RV Monitor System.mbas,173 :: 		Lcd_Init()                     'Initialize Display
	CALL       _Lcd_Init+0
;RV Monitor System.mbas,174 :: 		Lcd_Cmd(_LCD_CLEAR)            ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,175 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)       ' Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,177 :: 		Lcd_Cmd (0x40)                 'Write to CGRAM Address 0
	MOVLW      64
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,183 :: 		LCD_Chr_cp (0x01f)              'Top row All On
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,185 :: 		for i = 1 to 6
	MOVLW      1
	MOVWF      _i+0
L__main22:
;RV Monitor System.mbas,186 :: 		LCD_chr_cp (0x10)           'Left Row On for the middle six columns
	MOVLW      16
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,187 :: 		next i
	MOVF       _i+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L__main25
	INCF       _i+0, 1
	GOTO       L__main22
L__main25:
;RV Monitor System.mbas,189 :: 		LCD_chr_cp (0x1F)               'Bottom row on
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,194 :: 		LCD_Chr_cp (0x01f)              'Top row All On
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,196 :: 		for i = 1 to 6
	MOVLW      1
	MOVWF      _i+0
L__main27:
;RV Monitor System.mbas,197 :: 		LCD_chr_cp (0x00)           'All Pixels off for the next six columns
	CLRF       FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,198 :: 		next i
	MOVF       _i+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L__main30
	INCF       _i+0, 1
	GOTO       L__main27
L__main30:
;RV Monitor System.mbas,200 :: 		LCD_chr_cp (0x1F)               'Bottom row on
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,204 :: 		LCD_Chr_cp (0x01f)              'Top row All On
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,206 :: 		for i = 1 to 6
	MOVLW      1
	MOVWF      _i+0
L__main32:
;RV Monitor System.mbas,207 :: 		LCD_chr_cp (0x01)           'Right Row On  for the middle six columns
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,208 :: 		next i
	MOVF       _i+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L__main35
	INCF       _i+0, 1
	GOTO       L__main32
L__main35:
;RV Monitor System.mbas,210 :: 		LCD_chr_cp (0x1F)               'Bottom row on
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,214 :: 		for i = 1 to 8
	MOVLW      1
	MOVWF      _i+0
L__main37:
;RV Monitor System.mbas,215 :: 		LCD_chr_cp (0x1F)           'All Pixels on for a fill in block
	MOVLW      31
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,216 :: 		next i
	MOVF       _i+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__main40
	INCF       _i+0, 1
	GOTO       L__main37
L__main40:
;RV Monitor System.mbas,218 :: 		LCD_Sel = 1                    'Select Display #1  to start up
	BSF        PORTB+0, 6
;RV Monitor System.mbas,220 :: 		Loop:
L__main_loop:
;RV Monitor System.mbas,223 :: 		if Button(PORTA, 2, 1, 0)       'Test for Button Down
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main43
;RV Monitor System.mbas,224 :: 		then    Disp_One_Mode = Disp_One_Mode + 1
	INCF       _Disp_One_Mode+0, 1
L__main43:
;RV Monitor System.mbas,226 :: 		if Disp_One_Mode = 7
	MOVF       _Disp_One_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main46
;RV Monitor System.mbas,227 :: 		then Disp_One_Mode = 1
	MOVLW      1
	MOVWF      _Disp_One_Mode+0
L__main46:
;RV Monitor System.mbas,230 :: 		Button_One_wait:
L__main_button_one_wait:
;RV Monitor System.mbas,231 :: 		if Button (PORTA,2,5,0)         'Test for Button UP if no button pressed keep going to update Displays
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main50
;RV Monitor System.mbas,232 :: 		then GOTO Button_One_Wait
	GOTO       L__main_button_one_wait
L__main50:
;RV Monitor System.mbas,236 :: 		if Button(PORTB, 7, 1, 0)        'Test for Button Down
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      1
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main53
;RV Monitor System.mbas,237 :: 		then    Disp_Two_Mode = Disp_Two_Mode + 1
	INCF       _Disp_Two_Mode+0, 1
L__main53:
;RV Monitor System.mbas,239 :: 		if Disp_Two_Mode = 7
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main56
;RV Monitor System.mbas,240 :: 		then Disp_Two_Mode = 1
	MOVLW      1
	MOVWF      _Disp_Two_Mode+0
L__main56:
;RV Monitor System.mbas,242 :: 		Button_Two_Wait:
L__main_button_two_wait:
;RV Monitor System.mbas,243 :: 		if Button (PORTB,7,5,0)           'Test for Button UP if no button pressed keep going to update Displays
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      5
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main60
;RV Monitor System.mbas,244 :: 		then GOTO Button_Two_Wait
	GOTO       L__main_button_two_wait
L__main60:
;RV Monitor System.mbas,289 :: 		Update_Display_Two:
L__main_update_display_two:
;RV Monitor System.mbas,291 :: 		Lcd_Sel = 0                    'Select Display #2
	BCF        PORTB+0, 6
;RV Monitor System.mbas,293 :: 		if Disp_Two_Mode = (6)
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main85
;RV Monitor System.mbas,295 :: 		LCD_Cmd (0x08)            'Turn Off Display
	MOVLW      8
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,296 :: 		ClearBit(PORTC, 7)        'Turn Of Disply Two Backlight
	BCF        PORTC+0, 7
	GOTO       L__main86
;RV Monitor System.mbas,297 :: 		Else
L__main85:
;RV Monitor System.mbas,298 :: 		LCD_CMD (0X0C)                 'Turn On Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,299 :: 		SetBit(PORTC, 7)               'Turn On Disply Two Backlight
	BSF        PORTC+0, 7
;RV Monitor System.mbas,300 :: 		End if
L__main86:
;RV Monitor System.mbas,304 :: 		case 1
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main90
;RV Monitor System.mbas,305 :: 		LCD_OUT (1,1,"  Battery Voltage   ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      32
	MOVWF      ?LocalText_main+1
	MOVLW      66
	MOVWF      ?LocalText_main+2
	MOVLW      97
	MOVWF      ?LocalText_main+3
	MOVLW      116
	MOVWF      ?LocalText_main+4
	MOVLW      116
	MOVWF      ?LocalText_main+5
	MOVLW      101
	MOVWF      ?LocalText_main+6
	MOVLW      114
	MOVWF      ?LocalText_main+7
	MOVLW      121
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      86
	MOVWF      ?LocalText_main+10
	MOVLW      111
	MOVWF      ?LocalText_main+11
	MOVLW      108
	MOVWF      ?LocalText_main+12
	MOVLW      116
	MOVWF      ?LocalText_main+13
	MOVLW      97
	MOVWF      ?LocalText_main+14
	MOVLW      103
	MOVWF      ?LocalText_main+15
	MOVLW      101
	MOVWF      ?LocalText_main+16
	MOVLW      32
	MOVWF      ?LocalText_main+17
	MOVLW      32
	MOVWF      ?LocalText_main+18
	MOVLW      32
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,306 :: 		Battery_Voltage                'Get The Data & Display on Line 2
	CALL       _Battery_Voltage+0
	GOTO       L__main87
L__main90:
;RV Monitor System.mbas,308 :: 		case 2
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main93
;RV Monitor System.mbas,309 :: 		LCD_OUT (1,1," Fresh Water Level  ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      70
	MOVWF      ?LocalText_main+1
	MOVLW      114
	MOVWF      ?LocalText_main+2
	MOVLW      101
	MOVWF      ?LocalText_main+3
	MOVLW      115
	MOVWF      ?LocalText_main+4
	MOVLW      104
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      87
	MOVWF      ?LocalText_main+7
	MOVLW      97
	MOVWF      ?LocalText_main+8
	MOVLW      116
	MOVWF      ?LocalText_main+9
	MOVLW      101
	MOVWF      ?LocalText_main+10
	MOVLW      114
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      76
	MOVWF      ?LocalText_main+13
	MOVLW      101
	MOVWF      ?LocalText_main+14
	MOVLW      118
	MOVWF      ?LocalText_main+15
	MOVLW      101
	MOVWF      ?LocalText_main+16
	MOVLW      108
	MOVWF      ?LocalText_main+17
	MOVLW      32
	MOVWF      ?LocalText_main+18
	MOVLW      32
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,310 :: 		Fresh_Water_Level              'Get Data and Display on line 2
	CALL       _Fresh_Water_Level+0
	GOTO       L__main87
L__main93:
;RV Monitor System.mbas,312 :: 		case 3
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main96
;RV Monitor System.mbas,313 :: 		LCD_OUT (1,1,"Outside  Temperature")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      79
	MOVWF      ?LocalText_main+0
	MOVLW      117
	MOVWF      ?LocalText_main+1
	MOVLW      116
	MOVWF      ?LocalText_main+2
	MOVLW      115
	MOVWF      ?LocalText_main+3
	MOVLW      105
	MOVWF      ?LocalText_main+4
	MOVLW      100
	MOVWF      ?LocalText_main+5
	MOVLW      101
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      84
	MOVWF      ?LocalText_main+9
	MOVLW      101
	MOVWF      ?LocalText_main+10
	MOVLW      109
	MOVWF      ?LocalText_main+11
	MOVLW      112
	MOVWF      ?LocalText_main+12
	MOVLW      101
	MOVWF      ?LocalText_main+13
	MOVLW      114
	MOVWF      ?LocalText_main+14
	MOVLW      97
	MOVWF      ?LocalText_main+15
	MOVLW      116
	MOVWF      ?LocalText_main+16
	MOVLW      117
	MOVWF      ?LocalText_main+17
	MOVLW      114
	MOVWF      ?LocalText_main+18
	MOVLW      101
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,314 :: 		Outside_Temp                   'Get Data and Display on line 2
	CALL       _Outside_Temp+0
	GOTO       L__main87
L__main96:
;RV Monitor System.mbas,316 :: 		case 4
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main99
;RV Monitor System.mbas,317 :: 		LCD_OUT (1,1," Inside Temperature ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      73
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      115
	MOVWF      ?LocalText_main+3
	MOVLW      105
	MOVWF      ?LocalText_main+4
	MOVLW      100
	MOVWF      ?LocalText_main+5
	MOVLW      101
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      84
	MOVWF      ?LocalText_main+8
	MOVLW      101
	MOVWF      ?LocalText_main+9
	MOVLW      109
	MOVWF      ?LocalText_main+10
	MOVLW      112
	MOVWF      ?LocalText_main+11
	MOVLW      101
	MOVWF      ?LocalText_main+12
	MOVLW      114
	MOVWF      ?LocalText_main+13
	MOVLW      97
	MOVWF      ?LocalText_main+14
	MOVLW      116
	MOVWF      ?LocalText_main+15
	MOVLW      117
	MOVWF      ?LocalText_main+16
	MOVLW      114
	MOVWF      ?LocalText_main+17
	MOVLW      101
	MOVWF      ?LocalText_main+18
	MOVLW      32
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,318 :: 		Inside_Temp                   'Get Data and Display on line 2
	CALL       _Inside_Temp+0
	GOTO       L__main87
L__main99:
;RV Monitor System.mbas,320 :: 		case else
L__main87:
;RV Monitor System.mbas,323 :: 		If Disp_Two_Mode = 5          'Cycle Mode is in effect
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main101
;RV Monitor System.mbas,325 :: 		Goto Cycle_Display_Two
	GOTO       L__main_cycle_display_two
L__main101:
;RV Monitor System.mbas,328 :: 		goto loop
	GOTO       L__main_loop
;RV Monitor System.mbas,373 :: 		Cycle_Display_Two:
L__main_cycle_display_two:
;RV Monitor System.mbas,375 :: 		if Disp_Two_Cycle_Timer = 0
	MOVLW      0
	XORWF      _Disp_Two_Cycle_Timer+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main143
	MOVLW      0
	XORWF      _Disp_Two_Cycle_Timer+0, 0
L__main143:
	BTFSS      STATUS+0, 2
	GOTO       L__main124
;RV Monitor System.mbas,376 :: 		then Disp_Two_Cycle_Mode = Disp_Two_Cycle_Mode +1
	INCF       _Disp_Two_Cycle_Mode+0, 1
;RV Monitor System.mbas,377 :: 		Disp_Two_Cycle_Timer = Disp_Two_Delay
	MOVLW      50
	MOVWF      _Disp_Two_Cycle_Timer+0
	CLRF       _Disp_Two_Cycle_Timer+1
;RV Monitor System.mbas,379 :: 		Disp_Two_Cycle_Mode = 5
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main127
;RV Monitor System.mbas,380 :: 		then    Disp_Two_Cycle_Mode = 1
	MOVLW      1
	MOVWF      _Disp_Two_Cycle_Mode+0
L__main127:
;RV Monitor System.mbas,381 :: 		end if
	GOTO       L__main125
;RV Monitor System.mbas,382 :: 		else
L__main124:
;RV Monitor System.mbas,383 :: 		Disp_Two_Cycle_Timer = Disp_Two_Cycle_Timer -1
	MOVLW      1
	SUBWF      _Disp_Two_Cycle_Timer+0, 1
	BTFSS      STATUS+0, 0
	DECF       _Disp_Two_Cycle_Timer+1, 1
;RV Monitor System.mbas,384 :: 		end if
L__main125:
;RV Monitor System.mbas,386 :: 		LCD_Sel = 0                    'Select Display #2
	BCF        PORTB+0, 6
;RV Monitor System.mbas,390 :: 		case 1
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main132
;RV Monitor System.mbas,391 :: 		LCD_OUT (1,1,"  Battery Voltage   ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      32
	MOVWF      ?LocalText_main+1
	MOVLW      66
	MOVWF      ?LocalText_main+2
	MOVLW      97
	MOVWF      ?LocalText_main+3
	MOVLW      116
	MOVWF      ?LocalText_main+4
	MOVLW      116
	MOVWF      ?LocalText_main+5
	MOVLW      101
	MOVWF      ?LocalText_main+6
	MOVLW      114
	MOVWF      ?LocalText_main+7
	MOVLW      121
	MOVWF      ?LocalText_main+8
	MOVLW      32
	MOVWF      ?LocalText_main+9
	MOVLW      86
	MOVWF      ?LocalText_main+10
	MOVLW      111
	MOVWF      ?LocalText_main+11
	MOVLW      108
	MOVWF      ?LocalText_main+12
	MOVLW      116
	MOVWF      ?LocalText_main+13
	MOVLW      97
	MOVWF      ?LocalText_main+14
	MOVLW      103
	MOVWF      ?LocalText_main+15
	MOVLW      101
	MOVWF      ?LocalText_main+16
	MOVLW      32
	MOVWF      ?LocalText_main+17
	MOVLW      32
	MOVWF      ?LocalText_main+18
	MOVLW      32
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,392 :: 		LCD_CHR (1,1,"<")             'These two Carrots flag Cycling Mode
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      60
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,393 :: 		LCD_CHR (1,20,">")
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      62
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,394 :: 		Battery_Voltage                'Get The Data & Display on Line 2
	CALL       _Battery_Voltage+0
	GOTO       L__main129
L__main132:
;RV Monitor System.mbas,396 :: 		case 2
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main135
;RV Monitor System.mbas,397 :: 		LCD_OUT (1,1," Fresh Water Level  ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      70
	MOVWF      ?LocalText_main+1
	MOVLW      114
	MOVWF      ?LocalText_main+2
	MOVLW      101
	MOVWF      ?LocalText_main+3
	MOVLW      115
	MOVWF      ?LocalText_main+4
	MOVLW      104
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      87
	MOVWF      ?LocalText_main+7
	MOVLW      97
	MOVWF      ?LocalText_main+8
	MOVLW      116
	MOVWF      ?LocalText_main+9
	MOVLW      101
	MOVWF      ?LocalText_main+10
	MOVLW      114
	MOVWF      ?LocalText_main+11
	MOVLW      32
	MOVWF      ?LocalText_main+12
	MOVLW      76
	MOVWF      ?LocalText_main+13
	MOVLW      101
	MOVWF      ?LocalText_main+14
	MOVLW      118
	MOVWF      ?LocalText_main+15
	MOVLW      101
	MOVWF      ?LocalText_main+16
	MOVLW      108
	MOVWF      ?LocalText_main+17
	MOVLW      32
	MOVWF      ?LocalText_main+18
	MOVLW      32
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,398 :: 		LCD_CHR (1,1,"<")             'These two Carrots flag Cycling Mode
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      60
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,399 :: 		LCD_CHR (1,20,">")
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      62
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,400 :: 		Fresh_Water_Level              'Get Data and Display on line 2
	CALL       _Fresh_Water_Level+0
	GOTO       L__main129
L__main135:
;RV Monitor System.mbas,402 :: 		case 3
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main138
;RV Monitor System.mbas,403 :: 		LCD_OUT (1,1,"  Out  Temperature  ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      32
	MOVWF      ?LocalText_main+1
	MOVLW      79
	MOVWF      ?LocalText_main+2
	MOVLW      117
	MOVWF      ?LocalText_main+3
	MOVLW      116
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      32
	MOVWF      ?LocalText_main+6
	MOVLW      84
	MOVWF      ?LocalText_main+7
	MOVLW      101
	MOVWF      ?LocalText_main+8
	MOVLW      109
	MOVWF      ?LocalText_main+9
	MOVLW      112
	MOVWF      ?LocalText_main+10
	MOVLW      101
	MOVWF      ?LocalText_main+11
	MOVLW      114
	MOVWF      ?LocalText_main+12
	MOVLW      97
	MOVWF      ?LocalText_main+13
	MOVLW      116
	MOVWF      ?LocalText_main+14
	MOVLW      117
	MOVWF      ?LocalText_main+15
	MOVLW      114
	MOVWF      ?LocalText_main+16
	MOVLW      101
	MOVWF      ?LocalText_main+17
	MOVLW      32
	MOVWF      ?LocalText_main+18
	MOVLW      32
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,404 :: 		LCD_CHR (1,1,"<")             'These two Carrots flag Cycling Mode
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      60
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,405 :: 		LCD_CHR (1,20,">")
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      62
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,406 :: 		Outside_Temp                   'Get Data and Display on line 2
	CALL       _Outside_Temp+0
	GOTO       L__main129
L__main138:
;RV Monitor System.mbas,408 :: 		case 4
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main141
;RV Monitor System.mbas,409 :: 		LCD_OUT (1,1," Inside Temperature ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_main+0
	MOVLW      73
	MOVWF      ?LocalText_main+1
	MOVLW      110
	MOVWF      ?LocalText_main+2
	MOVLW      115
	MOVWF      ?LocalText_main+3
	MOVLW      105
	MOVWF      ?LocalText_main+4
	MOVLW      100
	MOVWF      ?LocalText_main+5
	MOVLW      101
	MOVWF      ?LocalText_main+6
	MOVLW      32
	MOVWF      ?LocalText_main+7
	MOVLW      84
	MOVWF      ?LocalText_main+8
	MOVLW      101
	MOVWF      ?LocalText_main+9
	MOVLW      109
	MOVWF      ?LocalText_main+10
	MOVLW      112
	MOVWF      ?LocalText_main+11
	MOVLW      101
	MOVWF      ?LocalText_main+12
	MOVLW      114
	MOVWF      ?LocalText_main+13
	MOVLW      97
	MOVWF      ?LocalText_main+14
	MOVLW      116
	MOVWF      ?LocalText_main+15
	MOVLW      117
	MOVWF      ?LocalText_main+16
	MOVLW      114
	MOVWF      ?LocalText_main+17
	MOVLW      101
	MOVWF      ?LocalText_main+18
	MOVLW      32
	MOVWF      ?LocalText_main+19
	CLRF       ?LocalText_main+20
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;RV Monitor System.mbas,410 :: 		LCD_CHR (1,1,"<")             'These two Carrots flag Cycling Mode
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      60
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,411 :: 		LCD_CHR (1,20,">")
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      20
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      62
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;RV Monitor System.mbas,412 :: 		Inside_Temp                    'Get Data and Display on line 2
	CALL       _Inside_Temp+0
	GOTO       L__main129
L__main141:
;RV Monitor System.mbas,414 :: 		case else
L__main129:
;RV Monitor System.mbas,417 :: 		goto loop
	GOTO       L__main_loop
L_end_main:
	GOTO       $+0
; end of _main
